org.modeshape.jcr

## Class RepositoryConfiguration.QuerySystem

- java.lang.Object
- - org.modeshape.jcr.RepositoryConfiguration.QuerySystem

- Enclosing class:
    RepositoryConfiguration

      @Immutable
      public class RepositoryConfiguration.QuerySystem
      extends Object

  The query-related configuration information.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RepositoryConfiguration.QuerySystem(Document query)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `fullTextSearchEnabled()` Get whether full-text searching is enabled for this repository.
    `Properties` | `getIndexingBackendProperties()` Get the configuration properties for the indexing backend.
    `Properties` | `getIndexingProperties()` Get the configuration properties for the indexing section.
    `RepositoryConfiguration.IndexRebuildOptions` | `getIndexRebuildOptions()` Returns the options that should be used for rebuilding indexes when the repository starts up.
    `Properties` | `getIndexStorageProperties()` Get the configuration properties for the storage of indexes.
    `RepositoryConfiguration.TextExtracting` | `getTextExtracting()`
    `String` | `getThreadPoolName()` Get the name of the thread pool that should be used for indexing work.
    `boolean` | `indexingClustered()` Reads the indexing configuration, checking if the indexing is configured in clustered mode or not.
    `boolean` | `queriesEnabled()` Determine whether queries and searches are enabled.
    `protected void` | `setDefProp(Properties props, String name, String defaultValue)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RepositoryConfiguration.QuerySystem

          protected RepositoryConfiguration.QuerySystem(Document query)

  - ### Method Detail

    - #### queriesEnabled

          public boolean queriesEnabled()

      Determine whether queries and searches are enabled. The default is to enable queries, but this can be used to turn off support for queries and improve performance.
      Returns:
        true if queries are enabled, or false if they are disabled
      See Also:
        `fullTextSearchEnabled()`

    - #### fullTextSearchEnabled

          public boolean fullTextSearchEnabled()

      Get whether full-text searching is enabled for this repository. Note that full-text search requires that `queries are enabled`, so this method returns false if queries are disabled.
      Returns:
        true if full-text searching is enabled, or false otherwise
      See Also:
        `queriesEnabled()`

    - #### getThreadPoolName

          public String getThreadPoolName()

      Get the name of the thread pool that should be used for indexing work.
      Returns:
        the thread pool name; never null

    - #### indexingClustered

          public boolean indexingClustered()

      Reads the indexing configuration, checking if the indexing is configured in clustered mode or not.
      Returns:
        `true` if the indexing is configured in clustered mode, `false` otherwise

    - #### getIndexRebuildOptions

          public RepositoryConfiguration.IndexRebuildOptions getIndexRebuildOptions()

      Returns the options that should be used for rebuilding indexes when the repository starts up.
      Returns:
        a `non-null` `RepositoryConfiguration.IndexRebuildOptions` instance.

    - #### getIndexStorageProperties

          public Properties getIndexStorageProperties()

      Get the configuration properties for the storage of indexes. The values of the properties will consist of string values.
      Returns:
        the configuration properties; never null

    - #### getIndexingProperties

          public Properties getIndexingProperties()

      Get the configuration properties for the indexing section. The values of the properties will consist of string values, and they may contain properties of the form "hibernate.search.*".
      Returns:
        the configuration properties; never null

    - #### getIndexingBackendProperties

          public Properties getIndexingBackendProperties()

      Get the configuration properties for the indexing backend. The values of the properties will consist of string values.
      Returns:
        the configuration properties; never null

    - #### getTextExtracting

          public RepositoryConfiguration.TextExtracting getTextExtracting()

    - #### setDefProp

          protected void setDefProp(Properties props,
                        String name,
                        String defaultValue)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.